## lua-resty-lrucache 0.13

=== Makefile ===
OPENRESTY_PREFIX=/usr/local/openresty

PREFIX ?=          /usr/local
LUA_INCLUDE_DIR ?= $(PREFIX)/include
LUA_LIB_DIR ?=     $(PREFIX)/lib/lua/$(LUA_VERSION)
INSTALL ?= install

.PHONY: all test install lint

all: ;

install: all
	$(INSTALL) -d $(DESTDIR)/$(LUA_LIB_DIR)/resty/lrucache
	$(INSTALL) lib/resty/*.lua $(DESTDIR)/$(LUA_LIB_DIR)/resty/
	$(INSTALL) lib/resty/lrucache/*.lua $(DESTDIR)/$(LUA_LIB_DIR)/resty/lrucache/

test: all lint
	PATH=$(OPENRESTY_PREFIX)/nginx/sbin:$$PATH prove -I../test-nginx/lib -r t

lint:
	@! grep -P -n --color -- 'require.*?resty\.lrucache[^.]' t/*pureffi*/*.t || (echo "ERROR: Found pureffi tests requiring 'resty.lrucache'." > /dev/stderr; exit 1)
	@! grep -R -P -n --color --exclude-dir=pureffi --exclude=*mixed.t -- 'require.*?resty\.lrucache\.pureffi' t/*.t || (echo "ERROR: Found pure Lua tests requiring 'resty.lrucache.pureffi'." > /dev/stderr; exit 1)

=== debian/changelog ===
lua-resty-lrucache (0.13-10) unstable; urgency=medium

  * d/copyright-scan-patterns.yml: added
  * d/copyright: updated to be compatible with 'cme update dpkg-copyright'
  * d/control: bump Standards-Version: 4.6.2, no changes
  * d/gbb.conf: added, switched to debian branch main (debian-branch = main)

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Mon, 13 Feb 2023 08:16:37 +0100

lua-resty-lrucache (0.13-9) unstable; urgency=medium

  * d/t/control fixed test dependencies

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Fri, 25 Nov 2022 18:12:10 +0100

lua-resty-lrucache (0.13-8) unstable; urgency=medium

  [ Jan Mojžíš ]
  * d/t/nginxtest cleanup, after the luajit2 library, which lua-resty-lrucache
    depends on, has been removed on ppc64el architecture (segfaults)
  * d/lua5.{2,3,4}.dh-lua.conf removed, lua-resty-core depends on LuaJIT2.
    LuaJIT2 is API+ABI-compatible with Lua 5.1

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Fri, 23 Sep 2022 17:29:30 +0200

lua-resty-lrucache (0.13-7) unstable; urgency=medium

  * d/t/nginxtest skip tests on ppc64el

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Fri, 19 Aug 2022 19:11:52 +0200

lua-resty-lrucache (0.13-6) unstable; urgency=medium

  * d/t/control fixed test dependencies
  * d/t/nginxtest updated, added check if lua http module is installed,
    and if it is not, then the test is skipped.

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Fri, 19 Aug 2022 09:30:10 +0200

lua-resty-lrucache (0.13-5) unstable; urgency=medium

  * d/control: fix dependency libluajit2-5.1-dev -> libluajit2-5.1-2
  * d/tests: marked tests as skippable and skipped test on ppc64el,
    where the luajit2 library currently doesn't work.

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Thu, 04 Aug 2022 04:13:49 +0200

lua-resty-lrucache (0.13-4) unstable; urgency=medium

  * d/control added dependency on libluajit2-5.1-dev

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Tue, 02 Aug 2022 15:07:15 +0200

lua-resty-lrucache (0.13-3) unstable; urgency=medium

  * d/patches/0001-disable-init-by-lua-tests.patch removed
  * d/patches/fix_test_nginx.patch removed
  * d/tests/test updated and added functionality from removed patches above
  * d/changelog fixed typo in ITP bug number (Closes: #1016054)

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Sun, 31 Jul 2022 08:07:06 +0200

lua-resty-lrucache (0.13-2) unstable; urgency=medium

  * d/copyright fix lintian globbing-patterns-out-of-order
  * d/control fix synopsis-is-a-sentence

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Fri, 29 Jul 2022 17:43:01 +0200

lua-resty-lrucache (0.13-1) unstable; urgency=medium

  * Initial release. (Closes: #1016054)

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Fri, 29 Jul 2022 17:35:26 +0200

=== debian/control ===
Source: lua-resty-lrucache
Section: net
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-lua,
Maintainer: Jan Mojžíš <jan.mojzis@gmail.com>
Homepage: https://github.com/openresty/lua-resty-lrucache
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/lua-team/lua-resty-lrucache.git
Vcs-Browser: https://salsa.debian.org/lua-team/lua-resty-lrucache

Package: lua-resty-lrucache
Depends: libluajit2-5.1-2,
         ${misc:Depends},
         ${shlibs:Depends},
Provides: ${lua:Provides},
XB-Lua-Versions: ${lua:Versions}
Architecture: all
Description: Simple LRU cache for the ngx_lua module
 The LRU cache resides completely in the Lua VM and is subject to Lua GC.
 As such, do not expect it to get shared across the OS process boundary.
 The upside is that you can cache arbitrary complex Lua values (such as deep
 nested Lua tables) without the overhead of serialization (as with ngx_lua's
 shared dictionary API). The downside is that your cache is always limited to
 the current OS process (i.e. the current Nginx worker process). It does not
 really make much sense to use this library in the context of init_by_lua
 because the cache will not get shared by any of the worker processes (unless
 you just want to "warm up" the cache with predefined items which will
 get inherited by the workers via fork()).

=== debian/tests/control ===
Tests: test
Restrictions: allow-stderr isolation-container needs-root skippable
Depends: libalgorithm-diff-perl,
         libclass-spiffy-perl,
         libextutils-config-perl,
         libextutils-helpers-perl,
         libextutils-installpaths-perl,
         libio-pty-perl,
         libipc-run-perl,
         liblist-moreutils-perl,
         liblwp-useragent-determined-perl,
         libmodule-build-perl,
         libmodule-build-tiny-perl,
         libreadonly-perl,
         libtest-base-perl,
         libtest-longstring-perl,
         nginx-extras,
         perl,

Tests: nginxtest
Restrictions: allow-stderr isolation-container needs-root skippable
Depends: curl,
         nginx-extras,

=== debian/watch ===
version=4

opts="\
filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/lua-resty-lrucache-$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
" https://github.com/openresty/lua-resty-lrucache/tags .*/v?(\d\S+)\.tar\.gz

## lua-resty-lrucache 0.14

=== debian/changelog ===
lua-resty-lrucache (0.14-1) unstable; urgency=medium

  * New upstream version 0.14
  * d/gbp.conf: switch to pristine-tar = True

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Tue, 13 Aug 2024 07:44:06 +0200

lua-resty-lrucache (0.13-11) unstable; urgency=medium

  * d/control: bump Standards-Version: 4.7.0, no changes
  * d/watch: use new recommended github template
  * d/control: replace luajit2 B-D with luajit (Closes: 1072349)
  * d/gbp.conf: add [pull] track-missing = True

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Sat, 01 Jun 2024 16:30:06 +0200

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,13 @@
                dh-lua,
 Maintainer: Jan Mojžíš <jan.mojzis@gmail.com>
 Homepage: https://github.com/openresty/lua-resty-lrucache
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/lua-team/lua-resty-lrucache.git
 Vcs-Browser: https://salsa.debian.org/lua-team/lua-resty-lrucache
 
 Package: lua-resty-lrucache
-Depends: libluajit2-5.1-2,
+Depends: libluajit-5.1-2,
          ${misc:Depends},
          ${shlibs:Depends},
 Provides: ${lua:Provides},

=== debian/watch ===
version=4
opts="\
searchmode=plain,\
filenamemangle=s%.*/v?@ANY_VERSION@%@PACKAGE@-$1.tar.gz%,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|a|b)\d*)$/$1~$2/,\
" \
https://api.github.com/repos/openresty/lua-resty-lrucache/tags?per_page=50 \
https://api.github.com/repos/[^/]+/[^/]+/tarball/refs/tags/v?@ANY_VERSION@

## lua-resty-lrucache 0.15

=== Makefile ===
--- 
+++ 
@@ -13,6 +13,13 @@
 	$(INSTALL) -d $(DESTDIR)/$(LUA_LIB_DIR)/resty/lrucache
 	$(INSTALL) lib/resty/*.lua $(DESTDIR)/$(LUA_LIB_DIR)/resty/
 	$(INSTALL) lib/resty/lrucache/*.lua $(DESTDIR)/$(LUA_LIB_DIR)/resty/lrucache/
+ifeq ($(LUA_LIB_DIR),/usr/local/lib/lua/)
+	@echo
+	@printf "\033[33mPLEASE NOTE: \033[0m\n"
+	@printf "\033[33mThe necessary lua_package_path directive needs to be added to nginx.conf\033[0m\n"
+	@printf "\033[33min the http context, because \"/usr/local/lib/lua/\" is not in LuaJIT’s default search path.\033[0m\n"
+	@printf "\033[33mRefer to the Installation section of README.markdown.\033[0m\n"
+endif
 
 test: all lint
 	PATH=$(OPENRESTY_PREFIX)/nginx/sbin:$$PATH prove -I../test-nginx/lib -r t

=== debian/changelog ===
lua-resty-lrucache (0.15-4) unstable; urgency=medium

  * d/tests/nginxtest: fix test dependencies after lua module was removed from
    nginx-extras

 -- Jan Mojžíš <janmojzis@debian.org>  Fri, 19 Sep 2025 19:17:17 +0200

lua-resty-lrucache (0.15-3) unstable; urgency=medium

  * d/salsa-ci.yml: use SALSA_CI_ENABLE_LICENSERECON: 1
  * d/salsa-ci.yml: remove SALSA_CI_DISABLE_APTLY: 0
  * d/salsa-ci.yml: remove SALSA_CI_AUTOPKGTEST_ALLOWED_EXIT_STATUS: '0'
  * d/control: bump Standards-Version: 4.7.2, no changes
  * d/watch: rewrite to version 5, use Github uscan-template
  * d/gbp.conf: upstream-branch = upstream/latest

 -- Jan Mojžíš <janmojzis@debian.org>  Tue, 16 Sep 2025 22:59:27 +0200

lua-resty-lrucache (0.15-2) unstable; urgency=medium

  * d/{control,copyright}: update my email to "janmojzis@debian.org"
  * d/copyright: bump debian/* copyright year
  * d/control: Maintainer Lua Team, me as uploader
  * d/salsa-ci.yml: add
  * d/watch: use more generic template

 -- Jan Mojžíš <janmojzis@debian.org>  Mon, 27 Jan 2025 07:10:16 +0100

lua-resty-lrucache (0.15-1) unstable; urgency=medium

  * d/gbp.conf: dist = DEP14, debian-branch = debian/latest
  * d/copyright: bump my copyright year
  * d/control: remove XB-Lua-Versions header

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Sat, 12 Oct 2024 21:19:44 +0200

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,25 @@
 Source: lua-resty-lrucache
 Section: net
 Priority: optional
-Build-Depends: debhelper-compat (= 13),
-               dh-lua,
-Maintainer: Jan Mojžíš <jan.mojzis@gmail.com>
+Build-Depends:
+ debhelper-compat (= 13),
+ dh-lua,
+Maintainer: Debian Lua Team <pkg-lua-devel@lists.alioth.debian.org>
+Uploaders:
+ Jan Mojžíš <janmojzis@debian.org>,
 Homepage: https://github.com/openresty/lua-resty-lrucache
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/lua-team/lua-resty-lrucache.git
 Vcs-Browser: https://salsa.debian.org/lua-team/lua-resty-lrucache
 
 Package: lua-resty-lrucache
-Depends: libluajit-5.1-2,
-         ${misc:Depends},
-         ${shlibs:Depends},
-Provides: ${lua:Provides},
-XB-Lua-Versions: ${lua:Versions}
+Depends:
+ libluajit-5.1-2,
+ ${misc:Depends},
+ ${shlibs:Depends},
+Provides:
+ ${lua:Provides},
 Architecture: all
 Description: Simple LRU cache for the ngx_lua module
  The LRU cache resides completely in the Lua VM and is subject to Lua GC.

=== debian/tests/control ===
Tests:
 test,
Restrictions:
 allow-stderr isolation-container needs-root skippable,
Depends:
 libalgorithm-diff-perl,
 libclass-spiffy-perl,
 libextutils-config-perl,
 libextutils-helpers-perl,
 libextutils-installpaths-perl,
 libio-pty-perl,
 libipc-run-perl,
 liblist-moreutils-perl,
 liblwp-useragent-determined-perl,
 libmodule-build-perl,
 libmodule-build-tiny-perl,
 libnginx-mod-http-lua,
 libreadonly-perl,
 libtest-base-perl,
 libtest-longstring-perl,
 nginx,
 perl,

Tests:
 nginxtest,
Restrictions:
 allow-stderr isolation-container needs-root skip-not-installable,
Depends:
 curl,
 libnginx-mod-http-lua,
 nginx,
